Spanish [SOLUCIONADO] Falta el archivo JAR para la libreria: devices.xml

cas6678

Active Member
Licensed User
Hola,

Tengo un poco de tiempo y estoy tratando de retomar lo que hice hace unos meses con la ayuda de @Erel y @DonManfred para un proyecto sobre Firestore.

Pero me encuentro el problema del titulo. La aplicacion que antes se me instalaba, ahora se cuega y me sale ese aviso. Donde puedo encontrar esa libreria?
 

Johnny Wing Pérez

Member
Licensed User
Saludos, que es lo que estas haciendo exactamente..?, leyendo xml..? es que no se precisa mucho con ese mensaje, talvez aportar una imagen del código o las librerias que llamas en tu proyecto.
 

cas6678

Active Member
Licensed User
Lo siento, tienes razon. Hace un tiempo empece a intentar como se operaba en Cloud Firestore. Logre hacer funcionar, con ayuda externa una aplicacion que va a mi base de datos en la nube y la modificaba. En ese momento lo tuve que dejar ahi y deje el investigar mas sobre el tema para mas adelante. El caso es que ahora lo quiero retomar desde ese mismo punto y nada mas arrancar b4a me dice que falta ese xml (y no me preguntes para que se usa porque no tengo idea) y como es logico al compilar da error.

Te pongo una foto del aviso y de las librerias que uso a ver si te da alguna idea. El codigo no lo pongo porque aun no fui capaz de descifrarlo, solo se que funcionaba y cualquier observacion sobre el mismo no estaria a mi alcance ahora.... 🥴 🥴 🥴

Gracias.
 

Attachments

Johnny Wing Pérez

Member
Licensed User
Lo siento, tienes razon. Hace un tiempo empece a intentar como se operaba en Cloud Firestore. Logre hacer funcionar, con ayuda externa una aplicacion que va a mi base de datos en la nube y la modificaba. En ese momento lo tuve que dejar ahi y deje el investigar mas sobre el tema para mas adelante. El caso es que ahora lo quiero retomar desde ese mismo punto y nada mas arrancar b4a me dice que falta ese xml (y no me preguntes para que se usa porque no tengo idea) y como es logico al compilar da error.

Te pongo una foto del aviso y de las librerias que uso a ver si te da alguna idea. El codigo no lo pongo porque aun no fui capaz de descifrarlo, solo se que funcionaba y cualquier observacion sobre el mismo no estaria a mi alcance ahora.... 🥴 🥴 🥴

Gracias.
Pues con solo eso, no tengo idea de como poder localizar el error, te marca alguna línea con el error, o solo te muestra eso al compilar la aplicación...

Tienes alguna libreria con ese nombre que te muestra en la carpeta de las librerias?
 

cas6678

Active Member
Licensed User
No, ese error me lo muestra al arrancar B4A. Algo esta faltando.

Me estoy dando cuenta que de la libreria FirebaseNotification ahora tengo la version 1.21 pero por las anotaciones que deje hechas en un post en su momento cuando funciono tenia la 1.24. Sabes donde la puedo conseguir? estoy buscando y no la veo
 

José J. Aguilar

Well-Known Member
Licensed User
Hola cas6678:

Te lo hace sólo con ese proyecto? O al abrir uno nuevo u otros también?
Tienes un archivo device.xml en tu carpeta de librerías? Prueba a quitarlo si es así.

saludos,
 

Johnny Wing Pérez

Member
Licensed User
No, ese error me lo muestra al arrancar B4A. Algo esta faltando.

Me estoy dando cuenta que de la libreria FirebaseNotification ahora tengo la version 1.21 pero por las anotaciones que deje hechas en un post en su momento cuando funciono tenia la 1.24. Sabes donde la puedo conseguir? estoy buscando y no la veo
ok, pense que era un error al compilar la aplicación, pero por lo visto entonces es la comprobación que hace de las librerias al cargar el proyecto, como indica José, es solo con ese proyecto o al iniciar uno nuevo..?
 

cas6678

Active Member
Licensed User
Hola cas6678:

Te lo hace sólo con ese proyecto? O al abrir uno nuevo u otros también?
Tienes un archivo device.xml en tu carpeta de librerías? Prueba a quitarlo si es así.

saludos,
Pues si. Me lo hacia en todos. Al parecer no tenia nada que ver con la aplicacion en si misma. Lo dicho, lo encontre y lo quite y ya no da ese error. Es que ponia "falta" y no "sobra" 🥴 🥴 🥴 Yo estaba buscandolo para ponerlo...

Pero la aplicacion sigue sin funcionar. Quizas sea ahora lo de la libreria, sabeis donde la puedo encontrar???
 

Johnny Wing Pérez

Member
Licensed User

Myr0n

Active Member
Licensed User
Checa el siguien hilo, alli dicen que eliminando ese archivo solucionara tu error.

 

cas6678

Active Member
Licensed User
Si. Gracias a todos, lo de devices.xml se soluciona simplemente quitandolo. Algunas cosas son mas faciles de lo que parecen y este era uno de esos casos.
 
Top